/* 
 * GraphicImage
 *
 * An object for embedding images in a Text object
 *
 * You may freely copy, distribute and reuse the code in this example.
 * This code is provided AS IS without warranty of any kind, expressed 
 * or implied, as to its fitness for any particular use.
 *
 * Copyright 1995 Ralph Zazula (rzazula@next.com).  All Rights Reserved.
 *
 */

#import <objc/Object.h>
#import <appkit/graphics.h>
#import <dpsclient/event.h>

@interface GraphicImage:Object
{
    id		image;
    BOOL	highlighted;
}

/* instance methods */
- initForImage:anImage;
- free;
- calcCellSize:(NXSize *)theSize;
- highlight:(const NXRect *)cellFrame inView:controlView lit:(BOOL)flag;
- drawSelf:(const NXRect *)cellFrame inView:controlView;
- trackMouse:(NXEvent *)theEvent inRect:(const NXRect *)cellFrame
  ofView:controlView;
- readRichText:(NXStream *)stream forView:view;
- writeRichText:(NXStream *)stream forView:view;
- performDoubleClickAction;

@end
