/* 
 * RZTabStop - support object for the RZBrowserCell that represents
 * 	a L/R justified or proportional tab-stop
 *
 * You may freely copy, distribute and reuse the code in this example.
 * This code is provided AS IS without warranty of any kind, expressed 
 * or implied, as to its fitness for any particular use.
 *
 * Copyright 1995 Ralph Zazula (rzazula@next.com).  All Rights Reserved.
 *
 */

#import <objc/Object.h>

@interface RZTabStop : Object
{
	float position;
	BOOL fixed;
	float min;
	float max;
}

- init;
- initFixed:(float)pos;
- initProportional:(float)pos min:(float)mn max:(float)mx;
- initPosition:(float)pos fixed:(BOOL)fix min:(float)mn max:(float)mx;

- (float)position;
- (float)min;
- (float)max;
- (BOOL)fixed;

@end
