/* 
 * RZTextToken - support object for the RZBrowserCell that represents
 * 	a piece of text with a particular font and color
 *
 * You may freely copy, distribute and reuse the code in this example.
 * This code is provided AS IS without warranty of any kind, expressed 
 * or implied, as to its fitness for any particular use.
 *
 * Copyright 1995 Ralph Zazula (rzazula@next.com).  All Rights Reserved.
 *
 */

#import <objc/Object.h>

@interface RZTextToken : Object
{
	unsigned index;				// which tab stop
	id data;							// RZSimpleString or an NXImage
	struct _rzTextTokenFlags {
#ifdef __BIG_ENDIAN__
		unsigned int text:1;		// text: 0 - text, 1 - image name or image file name
		unsigned int font:2;		// font: 0 - normal, 1 - bold, 2 - italic, 3 - italic/bold
		unsigned int color:2;	// color:0 - black, 1 - dkgray, 2 - ltgray, 3 - white
		unsigned int _RESERVED:17;
#else
		unsigned int _RESERVED:17;
		unsigned int color:2;	// color:0 - black, 1 - dkgray, 2 - ltgray, 3 - white
		unsigned int font:2;		// font: 0 - normal, 1 - bold, 2 - italic, 3 - italic/bold
		unsigned int text:1;		// text: 0 - text, 1 - image name or image file name
#endif
	} _flags;
}

- init;
- initText:(const char *)format at:(unsigned)i,...;
- initText:(const char *)format at:(unsigned)i font:(char)font color:(char)color,...;
- initImage:(const char *)d at:(unsigned)i;
- initData:(const char *)d at:(unsigned)i isText:(BOOL)isText 
	font:(char)font color:(char)color;

- (unsigned)position;
- data;
- (BOOL)isText;
- (char)font;
- (char)color;

- write:(NXTypedStream *)ts;
- read:(NXTypedStream *)ts;

@end

@interface RZTextToken(RZSortableObjects)
- (unsigned)sortIndex;
@end
