/* 
 * ToDoItems - protocol defining items stored in a ToDoList
 *
 * You may freely copy, distribute and reuse the code in this example.
 * This code is provided AS IS without warranty of any kind, expressed 
 * or implied, as to its fitness for any particular use.
 *
 * Copyright 1995 Ralph Zazula (rzazula@next.com).  All Rights Reserved.
 *
 */

@protocol ToDoItems

- initSubject:(char *)subj startDate:(long)start dueDate:(long)due
	completeDate:(long)completed type:(char)type isPrivate:(BOOL)privateFlag
	isCompleted:(BOOL)completeFlag data:(char *)buf dataLen:(int)len;
	
- initFromItem:(id <ToDoItems>)anItem;

- (char *)subject;
- (long)startDate;
- (long)dueDate;
- (long)dateCompleted;
- (char)type;
- (BOOL)isPrivate;
- (BOOL)isCompleted;
- (const char *)asciiStartDate;
- (const char *)asciiCompletedDate;
- (const char *)asciiDueDate;
- getData:(char **)d length:(int *)len;

@end
